const __store = {};
export function credentialsAllowsPurpose(id, purpose) {
    const { purposes } = getCredentials(id);
    return purposes.includes(purpose);
}
export function getCredentials(id) {
    return __store[id] || null;
}
export function removeCredentials(id) {
    __store[id] = null;
    delete __store[id];
}
export function setCredentials(id, value) {
    __store[id] = value;
}
