import { Entry } from "../core/Entry.js";
import { EntryFacadeField } from "../types.js";
declare function createCreditCardFields(entry: Entry): Array<EntryFacadeField>;
declare function createLoginFields(entry: Entry): Array<EntryFacadeField>;
declare function createNoteFields(entry: Entry): Array<EntryFacadeField>;
declare function createSSHKeyFields(entry: Entry): Array<EntryFacadeField>;
declare function createWebsiteFields(entry: Entry): Array<EntryFacadeField>;
declare const _default: {
    credit_card: typeof createCreditCardFields;
    login: typeof createLoginFields;
    note: typeof createNoteFields;
    ssh_key: typeof createSSHKeyFields;
    website: typeof createWebsiteFields;
};
export default _default;
