import { AppEnvMapper } from "./env/appEnv.js";
import * as localFileClient from "./web/localFileClient.js";
/**
 * Initialise the web environment
 * @memberof module:Buttercup
 */
export declare function init(appEnvMapper?: AppEnvMapper): void;
export { default as LocalFileDatasource } from "./web/LocalFileDatasource.js";
export { default as LocalStorageInterface } from "./web/LocalStorageInterface.js";
export { default as LocalStorageDatasource } from "./web/LocalStorageDatasource.js";
export { localFileClient };
export * from "./index.common.js";
