import { History, VaultFormatID } from "../types.js";
/**
 * Convert array of history lines to a string
 * @param historyArray An array of history items
 * @returns The string representation
 * @private
 */
export declare function historyArrayToString(historyArray: History): string;
/**
 * Convert a history string to an array
 * @param historyString The history string
 * @returns An array of history items
 * @private
 */
export declare function historyStringToArray(historyString: string, formatID?: VaultFormatID): History;
