import { EntryID, FormatAVault, GroupID, VaultID } from "../../types.js";
export declare function executeArchiveID(vault: FormatAVault, opts: any, id: VaultID): void;
export declare function executeComment(): void;
export declare function executeCreateEntry(archive: FormatAVault, opts: any, groupID: GroupID, entryID: EntryID): void;
export declare function executeCreateGroup(archive: FormatAVault, opts: any, parentID: GroupID | VaultID, newID: GroupID): void;
export declare function executeDeleteArchiveAttribute(archive: FormatAVault, opts: any, attribute: string): void;
export declare function executeDeleteEntry(archive: FormatAVault, opts: any, entryID: EntryID): void;
export declare function executeDeleteEntryAttribute(archive: FormatAVault, opts: any, entryID: EntryID, attribute: string): void;
export declare function executeDeleteEntryProperty(archive: FormatAVault, opts: any, entryID: EntryID, property: string): void;
export declare function executeDeleteGroup(archive: FormatAVault, opts: any, groupID: GroupID): void;
export declare function executeDeleteGroupAttribute(archive: FormatAVault, opts: any, groupID: GroupID, attribute: string): void;
export declare function executeFormat(archive: FormatAVault, opts: any, format: string): void;
export declare function executeMoveEntry(archive: FormatAVault, opts: any, entryID: EntryID, groupID: GroupID): void;
export declare function executeMoveGroup(archive: FormatAVault, opts: any, groupID: GroupID, targetGroupID: GroupID): void;
export declare function executePad(): void;
export declare function executeSetArchiveAttribute(archive: FormatAVault, opts: any, attribute: string, value: string): void;
export declare function executeSetEntryAttribute(archive: FormatAVault, opts: any, entryID: EntryID, attribute: string, value: string): void;
export declare function executeSetEntryProperty(archive: FormatAVault, opts: any, entryID: EntryID, property: string, value: string): void;
export declare function executeSetGroupAttribute(archive: FormatAVault, opts: any, groupID: GroupID, attribute: string, value: string): void;
export declare function executeTitleGroup(archive: FormatAVault, opts: any, groupID: GroupID, title: string): void;
