import { Group } from "../core/Group.js";
import { GroupID } from "../types.js";
/**
 * Find groups by their title
 * @param groups The groups to search through
 * @param title The title to search for. May be a regular expression.
 * @returns An array of found groups
 */
export declare function findGroupsByTitle(groups: Array<Group>, title: string | RegExp): Array<Group>;
export declare function getAllChildGroups(groups: Array<Group>, parentID: GroupID): Array<Group>;
