/**
 * Compress text using GZIP
 * @param text The text to compress
 * @returns Compressed text
 */
declare function compress(text: string): string;
/**
 * Decompress a compressed string (GZIP)
 * @param text The compressed text
 * @returns Decompressed text
 */
declare function decompress(text: string): string;
export declare function getCompressionResources(): {
    "compression/v1/compressText": typeof compress;
    "compression/v1/decompressText": typeof decompress;
};
export {};
