/**
 * Compress text using GZIP
 * @param text The text to compress
 * @returns Compressed text
 */
declare function compress(text: string): Promise<string>;
/**
 * Decompress a compressed string (GZIP)
 * @param text The compressed text
 * @returns Decompressed text
 */
declare function decompress(text: string): Promise<string>;
export declare function getCompressionResources(): {
    "compression/v2/compressText": typeof compress;
    "compression/v2/decompressText": typeof decompress;
};
export {};
