import { History } from "../../types.js";
/**
 * Process history in order, following which entries/groups are
 *  deleted and them removing future references to them
 * @param history The history set to filter
 * @returns A filtered set of history, with problematic removals
 *  stripped out
 */
export declare function smartStripRemovedAssets(history: History): History;
