import { EntryPropertyType, FormatBValue, FormatBValueHistoryItem } from "../../types.js";
export declare const MAX_ATTRIBUTE_HISTORY = 3;
export declare const MAX_PROPERTY_HISTORY = 5;
export declare function cloneValue(value: FormatBValue): {
    value: string;
    created: number;
    updated: number;
    history: FormatBValueHistoryItem[];
};
export declare function mergeValues(value1: FormatBValue, value2: FormatBValue, type: EntryPropertyType): FormatBValue;
export declare function newRawValue(value: string): FormatBValue;
export declare function sortValueHistory(history: Array<FormatBValueHistoryItem>): Array<FormatBValueHistoryItem>;
export declare function trimValueHistory(history: Array<FormatBValueHistoryItem>, type: EntryPropertyType): Array<FormatBValueHistoryItem>;
export declare function valueToHistoryItem(value: FormatBValue): FormatBValueHistoryItem;
