export var EntryChangeType;
(function (EntryChangeType) {
    EntryChangeType["Created"] = "created";
    EntryChangeType["Modified"] = "modified";
    EntryChangeType["Deleted"] = "deleted";
})(EntryChangeType || (EntryChangeType = {}));
export var EntryPropertyType;
(function (EntryPropertyType) {
    EntryPropertyType["Attribute"] = "attribute";
    EntryPropertyType["Property"] = "property";
})(EntryPropertyType || (EntryPropertyType = {}));
export var EntryPropertyValueType;
(function (EntryPropertyValueType) {
    EntryPropertyValueType["Note"] = "note";
    EntryPropertyValueType["OTP"] = "otp";
    EntryPropertyValueType["Password"] = "password";
    EntryPropertyValueType["Text"] = "text";
})(EntryPropertyValueType || (EntryPropertyValueType = {}));
export var EntryType;
(function (EntryType) {
    EntryType["CreditCard"] = "credit_card";
    EntryType["Login"] = "login";
    EntryType["Note"] = "note";
    EntryType["SSHKey"] = "ssh_key";
    EntryType["Website"] = "website";
})(EntryType || (EntryType = {}));
export var VaultFormatID;
(function (VaultFormatID) {
    VaultFormatID["A"] = "a";
    VaultFormatID["B"] = "b";
})(VaultFormatID || (VaultFormatID = {}));
export var VaultPermission;
(function (VaultPermission) {
    VaultPermission["Manage"] = "archive/member/manage";
    VaultPermission["Read"] = "archive/member/read";
    VaultPermission["Write"] = "archive/member/write";
})(VaultPermission || (VaultPermission = {}));
export var VaultSourceStatus;
(function (VaultSourceStatus) {
    VaultSourceStatus["Locked"] = "locked";
    VaultSourceStatus["Pending"] = "pending";
    VaultSourceStatus["Unlocked"] = "unlocked";
})(VaultSourceStatus || (VaultSourceStatus = {}));
