import { FormatAEntry, FormatAGroup, FormatAVault, FormatBEntry, FormatBGroup, FormatBKeyValueObject, FormatBVault, PropertyKeyValueObject } from "../../types.js";
export declare function convertFormatAEntry(entry: FormatAEntry): FormatBEntry;
export declare function convertFormatAGroup(group: FormatAGroup): FormatBGroup;
export declare function convertFormatAVault(vault: FormatAVault): FormatBVault;
export declare function isFormatBEntry(entry: FormatAEntry | FormatBEntry): entry is FormatBEntry;
export declare function isFormatBGroup(group: FormatAGroup | FormatBGroup): group is FormatBGroup;
/**
 * Get a key-value object from a Format-B values object.
 * This strips deleted properties.
 * @param valuesObj
 */
export declare function valuesObjectToKeyValueObject(valuesObj: FormatBKeyValueObject): PropertyKeyValueObject;
